Package com.oracle.truffle.object

## Class DebugShapeVisitor<R>

- java.lang.Object
- - com.oracle.truffle.object.DebugShapeVisitor<R>

All Implemented Interfaces:
  `ShapeVisitor<R>`

Direct Known Subclasses:
  `GraphvizShapeVisitor`, `JSONShapeVisitor`

    public abstract class DebugShapeVisitor<R>
    extends java.lang.Object
    implements ShapeVisitor<R>

### Constructor Summary

Constructors
`DebugShapeVisitor()`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`static java.lang.String` `getId​(Shape shape)`
`R` `visitShape​(Shape shape)`
`abstract R` `visitShape​(Shape shape, java.util.Map<? extends Transition,​? extends Shape> transitions)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DebugShapeVisitor

    public DebugShapeVisitor()

### Method Detail

#### visitShape

    public R visitShape​(Shape shape)

Specified by:
  `visitShape` in interface `ShapeVisitor<R>`

#### visitShape

    public abstract R visitShape​(Shape shape,
                                 java.util.Map<? extends Transition,​? extends Shape> transitions)

#### getId

    public static java.lang.String getId​(Shape shape)